#
# spec file for package espeakedit
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           espeakedit
Version:        1.46.02
Release:        8.3
%define _version %{version}-source
License:        GPL-3.0+
Summary:        Software speech synthesizer (text-to-speech)
Url:            http://espeak.sourceforge.net
Group:          Productivity/Other
Source:         %{name}-%{version}.zip
Source1:        espeakedit.1
Patch0:         makefile_rpmoptflags_wxversion.patch
#To avoid library choise conflict: recomend to use -stl versions instead of -wxcontainer
Requires:       libwx_baseu-2_8-0-stl
Requires:       libwx_baseu-2_8-0-compat-lib-stl
Requires:       libwx_gtk2u_adv-2_8-0-compat-lib-stl
Requires:       libwx_gtk2u_core-2_8-0-compat-lib-stl
Requires:       libwx_gtk2u_html-2_8-0-compat-lib-stl
Requires:       wxWidgets-compat-lib-config
Conflicts:      wxWidgets-ansi-compat-lib-config
Conflicts:      wxWidgets-wxcontainer-compat-lib-config
BuildRequires:  gcc-c++
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  unzip
BuildRequires:  wxWidgets-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Fix ability to use wxcontainer instead of stl variant for WxWidgets
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires


%description
eSpeak is a software speech synthesizer for English, and some other languages.
eSpeakEdit provides a User Interface to edit the eSpeak voices.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
# Build against portaudio v19 (see ReadMe)
%{__cp} -f src/portaudio19.h src/portaudio.h
%ifarch i386 i486 i586 i686
sed "s/lib64/lib/g" -i src/Makefile
%endif

%build
cd src
make %{?_smp_mflags} CFLAGS="%{optflags}"
cd ..

%install
cd src
mkdir -p %{buildroot}/%{_bindir}/
cp espeakedit %{buildroot}/%{_bindir}/
cd ..
# Install manpage
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/espeakedit.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root,755)
%{_bindir}/espeakedit
%doc %{_mandir}/man1/espeakedit.1.*

%changelog
* Wed Jul 11 2012 embar@super.lt
- Fix ability to use wxcontainer instead of stl variant for WxWidgets
* Sat Jul  7 2012 embar@super.lt
- Version 1.46.02
